[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: "Warning" during OL Head compile

On Mar 23, 2011, at 7:34 AM, Marco Pizzoli wrote:

> Hi all,
> this is my first post in this list. 
> I downloaded head tree from OL CVS and made some compile runs. I see some warning about some deprecated functions and so on...
> I'm asking myself if this could be of some usefulness on the project if I would share with the developers these evidences.

These particular ones, no.

I'm sure the reasons behind our use of these particular deprecated interfaces has been discussed before.  Just do a site search for 'deprecated sys_errlist'.

-- Kurt

> This is an example, obtained on a Fedora14_i686 system, gcc-4.5.1-4.fc14.i686:
> gcc -DOPENLDAP_FD_SETSIZE=4096 -O2 -g -o slapd-bind slapd-bind.o slapd-common.o  -L/usr/local/berkeleydb/lib -L/usr/lib/perl5/CORE ../../libraries/libldap/.libs/libldap.a /tmp/appoggio_openldap/openldap-post2.4.24_3/libraries/liblber/.libs/liblber.a ../../libraries/liblutil/liblutil.a ../../libraries/liblber/.libs/liblber.a -lsasl2 -lssl -lcrypto -lresolv
> ../../libraries/libldap/.libs/libldap.a(os-ip.o): In function `ldap_pvt_is_socket_ready':
> /tmp/appoggio_openldap/openldap-post2.4.24_3/libraries/libldap/os-ip.c:262: warning: `sys_errlist' is deprecated; use `strerror' or `strerror_r' instead
> /tmp/appoggio_openldap/openldap-post2.4.24_3/libraries/libldap/os-ip.c:262: warning: `sys_nerr' is deprecated; use `strerror' or `strerror_r' instead
> -- 
> _________________________________________
> Non è forte chi non cade, ma chi cadendo ha la forza di rialzarsi.
>                     Jim Morrison